#!/usr/bin/perl

use RDF::Query;
sub test_models {
	my @files	= @_;
	my @models;
	eval "use RDF::Redland;";
	unless ($@) {
		my @data	= map { RDF::Redland::URI->new( 'file://' . $_ ) } @files;
		my $storage	= new RDF::Redland::Storage("hashes", "test", "new='yes',hash-type='memory'");
		my $model	= new RDF::Redland::Model($storage, "");
		my $parser	= new RDF::Redland::Parser("rdfxml");
		$parser->parse_into_model($_, $_, $model) for (@data);
		my $bridge	= RDF::Query::Model::Redland->new( $model );
		push(@models, $model);
	}
	
	eval "use RDF::Core;";
	unless ($@) {
		my $storage	= new RDF::Core::Storage::Memory;
		my $model	= new RDF::Core::Model (Storage => $storage);
		foreach my $file (@files) {
			my $parser	= new RDF::Core::Model::Parser (
							Model		=> $model,
							Source		=> $file,
							SourceType	=> 'file',
							BaseURI		=> 'http://example.com/'
						);
			$parser->parse;
		}
		my $bridge	= RDF::Query::Model::RDFCore->new( $model );
		push(@models, $model);
	}
	
	eval "use Kasei::Common;";
	unless ($@) {
		my $dbh	= Kasei::Common::dbh();
		push(@models, [$dbh, 'db1']);
	}
	
	return @models;
}

1;
